<?php if(!defined('ABSPATH') || !is_admin()) exit(); ?>
<form autocomplete="off" id="xccsh_form" >
	<ul>
		<li>
			<div class="desc">
				<p><?php _e('The content that will be wrapped in the shortcode. This must include the amount to be converted','xoogu-currency-conversion');?></p>
			</div>
			<label for="xccsh_content"><?php _e('Content enclosed by the shortcode:','xoogu-currency-conversion');?></label>
			<input type="text" value="" name="xccsh_content" id="xccsh_content" required="required" />
		</li>
		<li>
			<div class="desc">
				<p><?php _e('If you haven\'t set a default from currency, or you want to convert from a different currency to the default, then you can choose the currency to convert from. If left blank, then the shortcode will try to determine which currency to convert from automatically based on the text it encloses.','xoogu-currency-conversion');?></p>
			</div>
			<label for="xccsh_from"><?php _e('Convert from currency:','xoogu-currency-conversion');?></label>
			<select name="xccsh_options[from]" id="xccsh_from">
				<?php $codes = $pearant->getCurrencyList();
				array_unshift($codes, '');
				foreach($codes as $code){
					echo '<option>'.$code.'</option>';
				}?>
			</select>
		</li>
		<li>
			<div class="desc">
				<p><?php _e('If you want to convert the amount to a specific currency, choose the currency to convert to here. Otherwise the currency will be automatically converted to the visitor\'s currency (assuming you have set up the Geo IP support).','xoogu-currency-conversion');?></p>
			</div>
			<label for="xccsh_to"><?php _e('Convert to currency:','xoogu-currency-conversion');?></label>
			<select name="xccsh_options[to]" id="xccsh_to">
				<?php 
				foreach($codes as $code){
					echo '<option>'.$code.'</option>';
				}
				unset($code,$codes);?>
			</select>
		</li>
		<li>
			<div class="desc">
				<p><?php _e('You can choose to specify the number of decimal places that will be used when displaying the converted amount. If empty then the default settings will be used (if set), otherwise the amount of decimal places will be automatically decided based on the currency being converted to. (Most currencies use 2 decimal places).','xoogu-currency-conversion');?></p>
			</div>
			<label for="xccsh_dec_places"><?php _e('Decimal places:','xoogu-currency-conversion');?></label>
			<input type="number" min="0" name="xccsh_options[dec_places]" id="xccsh_dec_places" />
		</li>
		<li>
			<div class="desc">
				<p><?php _e('You can choose to use static conversion rates that are saved as part of the post / page metadata. Then in 10 years time if someone vists a post you made today, they will see what the amount was in their local currency at the time the post was written, rather than at current conversion rates.','xoogu-currency-conversion');?></p>
				<p><?php _e('Note that the rates are saved when a post containing the shortcode is saved. So if you draft a post with the shortcode in today, but publish it in a month\'s time, the rates saved will be from today. If you publish a post today without the shortcode, then edit the post a month later and add the shortcode, the rates would be saved at the time the shortcode is added.','xoogu-currency-conversion');?></p>
				<p><?php _e('If you have chosen to use static rates in the plugin settings, but you want this shortcode to always use up to date rates, then you can disable static rates for this shortcode by setting static to false.','xoogu-currency-conversion');?></p>
			</div>
			<span><?php _e('Use static rates:','xoogu-currency-conversion');?></span>
			<ul class="xccsh_static_list">
				<li>
					<label for="xccsh_static_default"><?php _e('Use default setting','xoogu-currency-conversion');?></label>
					<input type="radio" value="default" name="xccsh_options[static]" id="xccsh_static_default" checked="checked" />
				</li>
				<li>
					<label for="xccsh_static_true"><?php _e('True','xoogu-currency-conversion');?></label>
					<input type="radio" value="1" name="xccsh_options[static]" id="xccsh_static_true" />
				<li>
				<li>
					<label for="xccsh_static_false"><?php _e('False','xoogu-currency-conversion');?></label>
					<input type="radio" value="0" name="xccsh_options[static]" id="xccsh_static_false" />
				<li>
			</ul>
		</li>
		<li>
			<div class="desc">
				<p><?php _e('The format that will be used for replacing the text enclosed by the shortcode. Leave blank to use the default format specified in the plugin settings.','xoogu-currency-conversion');?></p>
				<p><?php _e('You can use the following replacements as part of the format:','xoogu-currency-conversion');?></p>
				<dl>
					<dt>%o</dt>
					<dd><?php _e('Original text (the text enclosed by the shortcode)','xoogu-currency-conversion');?></dd>
					<dt>%sy</dt>
					<dd><?php _e('Currency symbol e.g. $','xoogu-currency-conversion');?></dd>
					<dt>%sn</dt>
					<dd><?php _e('Currency symbol in html numerical entity format','xoogu-currency-conversion');?></dd>
					<dt>%sx</dt>
					<dd><?php _e('Currency symbol in html hex entity format','xoogu-currency-conversion');?></dd>
					<dt>%n</dt>
					<dd><?php _e('Name of currency e.g. dollars','xoogu-currency-conversion');?></dd>
					<dt>%fn</dt>
					<dd><?php _e('Full name of currency e.g. United States Dollars','xoogu-currency-conversion');?></dd>
					<dt>%c</dt>
					<dd><?php _e('ISO currency code e.g. USD','xoogu-currency-conversion');?></dd>
					<dt>%a</dt>
					<dd><?php _e('The amount converted to local currency','xoogu-currency-conversion');?></dd>
					<dt>%asy</dt>
					<dd><?php _e('The amount converted to local currency with the symbol positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>
					<dt>%asn</dt>
					<dd><?php _e('The amount converted to local currency with the symbol in html numerical entity format positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>
					<dt>%asx</dt>
					<dd><?php _e('The amount converted to local currency with the symbol in html hex entity format positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>
				</dl>
				<p><?php _e('E.g. [currencyConversion to="GBP"]50 USD[/currencyConversion] with a format of \'%o (%a %c)\' would give \'50 USD (33.21 GBP)\'.','xoogu-currency-conversion');?></p>
				<p><?php _e('Or [currencyConversion]USD 50[/currencyConversion] with a format of \'%o - %asy in %n\' would show \'USD 50 - 35.72 € in Euros\' to a visitor from Austria.','xoogu-currency-conversion');?></p>
				<p><?php _e('Please note that the options to position the currency symbol or code before or after the amount as appropriate (%asy, %asn, %asx, %ac) will only do this if the amount to be converted to is determined from the visitor\'s country. If you have specified the currency to be converted to, the currency symbol will always be positioned to the left of the converted amount. This is because the symbol position is determined from the visitor\'s country and not the type of currency.','xoogu-currency-conversion');?></p>
			</div>
			<label for="xccsh_format"><?php _e('Replacement format','xoogu-currency-conversion')?>:</label>
			<input type="text" name="xccsh_options[format]" id="xccsh_format" />
		</li>
	</ul>
</form>