<?php
/*
Plugin Name: Xoogu Currency Conversion
Plugin URI: http://www.xoogu.com/currency-conversion-wordpress-plugin/
Description: Allows you to use a shortcode in your posts and pages to convert from an amount in one currency to the equivalent amount in another currency. With GeoIP support the plugin can automatically convert an amount to the viewer's local currency.
Version: 2016-05-31
Tested up to: 4.5.2
Author: xoogu.com
Author URI: http://www.xoogu.com/
Text Domain: xoogu-currency-conversion
Requires PHP: 5.4.0
*/




if (!defined('ABSPATH')) {
	exit('Wordpress not loaded');
}
spl_autoload_register (function($sClass)
{
	$sFilename = dirname(__FILE__).'/lib/'.str_replace('\\', '/', $sClass).'.php';
	// if the file exists, require it
    if (file_exists($sFilename)) {
        include_once $sFilename;
    }
});

$dice = $GLOBALS['dice'] = new \Dice\Dice();
$dice->addRule('Xoogu\\CurrencyConversion\\CurrencyConversion', array(
	'shared' => true,
	'substitutions' => array(
		'Xoogu\\CountryFromIP\\ICountryFromIP' => array('instance' => 'Xoogu\\CountryFromIP\\CountryFromIP'),
		'wpdb' => $GLOBALS['wpdb']
	),
	'constructParams' => array(dirname(__FILE__))
));
$dice->addRule('*', array(
	'shared' => true,
	'substitutions' => array(
		'Xoogu\\CountryFromIP\\ICountryFromIP' => array('instance' => 'Xoogu\\CountryFromIP\\CountryFromIP'),
		'wpdb' => $GLOBALS['wpdb']
	)
));

if(is_admin() || (defined('DOING_CRON') && DOING_CRON)){
	$GLOBALS['Xoogu_CurrencyConversion'] = $dice->create('Xoogu\\CurrencyConversion\\Admin');
	add_action('current_screen', function(WP_Screen $current_screen) use ($dice) {if($current_screen->base == 'post') $dice->create('Xoogu\\CurrencyConversion\\Admin_MCE');});
	//If an admin AJAX call, the current_screen action isn't called. So we need to duplicate code and load the MCE code if this is an AJAX request.
	if (defined('DOING_AJAX')) {
		$dice->create('Xoogu\\CurrencyConversion\\Admin_MCE');
	}
}else{
	$GLOBALS['Xoogu_CurrencyConversion'] = $dice->create('Xoogu\\CurrencyConversion\\CurrencyConversion');
}
