"use strict";(function(){function DataStore_localStorage(localStorageName){if(!localStorageName){throw new Error('You must provide a key that data will be saved under, e.g. "myData"')}this.localStorageName=localStorageName}DataStore_localStorage.prototype={storeData:function(oData){if(!localStorage){return}oData=oData;oData.timestamp=Math.floor((new Date).getTime()/1e3);try{localStorage.setItem(this.localStorageName,JSON.stringify(oData))}catch(e){if(console&&console.log){console.log(e);console.log(localStorage)}}},getData:function(oFetchInfoFor,callback){var oData=null;if(localStorage){oData=JSON.parse(localStorage.getItem(this.localStorageName))}if(oData&&Math.floor((new Date).getTime()/1e3)>oData.timestamp+this.cacheDuration){oData=null}callback(oData)},setCacheDuration:function(iDuration){if(!(typeof iDuration=="number"||iDuration instanceof Number)||iDuration%1!==0){throw new Error("Cache duration should be a number of seconds expressed as an integer. Instead got "+iDuration+" which is of type"+typeof iDuration)}this.cacheDuration=iDuration},cacheDuration:60*60*24*7};function DataStore_AJAX(sRequestURL){this.sRequestURL=sRequestURL}DataStore_AJAX.prototype={getData:function(oFetchInfoFor,callback){var httpRequest=new XMLHttpRequest;httpRequest.onreadystatechange=function(that){return function(){if(httpRequest.readyState===4){if(httpRequest.status===200){var resp=httpRequest.response;if(typeof resp!="object"){resp=JSON.parse(httpRequest.responseText)}return callback(resp)}else{}}else{}}}(this);httpRequest.open("POST",this.sRequestURL,true);try{httpRequest.responseType="json"}catch(err){}httpRequest.setRequestHeader("Content-Type","application/json");httpRequest.send(JSON.stringify(oFetchInfoFor))},setRequestURL:function(sURL){if(!(typeof sURL==="string"||sURL instanceof String)){throw new Error("The URL used to fetch the currency data must be provided as a string")}else{this.sRequestURL=sURL}},storeData:function(oData){return}};if(window){window.DataStore_localStorage=DataStore_localStorage;window.DataStore_AJAX=DataStore_AJAX}else if(module&&module.exports){module.exports.DataStore_localStorage=DataStore_localStorage;module.exports.DataStore_AJAX=DataStore_AJAX}})();
(function(){if(!JSON||!document.querySelectorAll||!Object.create||![].indexOf||!Object.keys){return}(function(){if(typeof window.CustomEvent==="function"){return false}function CustomEvent(event,params){params=params||{bubbles:false,cancelable:false,detail:undefined};var evt;if(document.createEvent){evt=document.createEvent("CustomEvent");evt.initCustomEvent(event,params.bubbles,params.cancelable,params.detail)}else{evt=document.createEventObject();evt.type=event}return evt}CustomEvent.prototype=window.Event.prototype;window.CustomEvent=CustomEvent})();function CurrencyConverter(_){_=_&&typeof _=="object"?_:{};_.countryCode=null;_.currencyCode=null;_.countries={};_.currencies={};_.currenciesBySymbol={};_.staticRates={};_.defaults={format:"%o (%asy)"};_.fetchInfoFor=null;_.itemsToReplace;_.dataStores=[];var eventHandlers={};this.addEventListener=function(type,handler){if(!(handler instanceof Object)){throw new TypeError("Argument 2 of EventTarget.addEventListener is not an object.")}type=""+type;if(!eventHandlers[type]){eventHandlers[type]=[handler]}else{eventHandlers[type].push(handler)}};this.removeEventListener=function(type,handler){type=""+type;if(eventHandlers[type]){var i=eventHandlers[type].indexOf(handler);if(i!==-1){eventHandlers[type].splice(i,1)}}};this.dispatchEvent=function(event){if(!(event instanceof Event)){return}if(eventHandlers[event.type]){var a=eventHandlers[event.type],i=a.length;if(!i){return}var b=new Array(i);while(i--){b[i]=a[i]}i=b.length;while(i--){var handler=b[i];handler=typeof handler=="function"?handler:typeof handler.handleEvent=="function"?handler.handleEvent:false;if(handler!==false){setTimeout(function(that,handler){return function(){handler.call(that,event)}}(this,b[i]),0)}}}};_.getInfoForCurrency=function(sCode){return _.currencies[sCode]};_.getInfoForCountry=function(sCountryCode){return _.countries[sCountryCode]};_.getAllCurrencyInfo=function(){return{countryCode:_.countryCode,currencyCode:_.currencyCode,countries:_.countries,currencies:_.currencies,currenciesBySymbol:_.currenciesBySymbol,staticRates:_.staticRates}};this.getInfoForCurrency=function(sCurrencyCode){sCurrencyCode=sCurrencyCode||_.currencyCode;if(_.currencies[sCurrencyCode]){return JSON.parse(JSON.stringify(_.currencies[sCurrencyCode]))}};this.getUserCurrencyCode=function(){return _.currencyCode};this.getAllCurrencyInfo=function(){return JSON.parse(JSON.stringify(_.getAllCurrencyInfo()))};this.getInfoForCountry=function(sCountryCode){sCountryCode=sCountryCode||_.countryCode;if(_.countries[sCountryCode]){return JSON.parse(JSON.stringify(_.countries[sCountryCode]))}};this.getUserCountryCode=function(){return _.countryCode};this.setDefaults=function(oDefaults){_.defaults=oDefaults;return this};this.getDefaults=function(){return JSON.parse(JSON.stringify(_.defaults))};this.setDataStores=function(aDataStores){if(!(typeof aDataStores=="array"||aDataStores instanceof Array)){throw new Error("CurrencyConverter::setDataStores expects an array, instead got "+typeof aDataStores)}_.dataStores=aDataStores;return this};this.setCurrencyInfo=function(oCurrencyInfo,callback){if(!oCurrencyInfo){return}oCurrencyInfo=JSON.parse(JSON.stringify(oCurrencyInfo));_.currencyCode=oCurrencyInfo.currencyCode;_.countryCode=oCurrencyInfo.countryCode;_.countries=oCurrencyInfo.countries;_.currencies=oCurrencyInfo.currencies;_.currenciesBySymbol=oCurrencyInfo.currenciesBySymbol;_.staticRates=oCurrencyInfo.staticRates;this.dataLoaded=true;this.dispatchEvent(new CustomEvent("infoUpdated"));if(typeof callback=="function"){callback(oCurrencyInfo)}};this.dataLoaded=false;this.addCurrencyInfo=function(oNewCurrencyInfo){var oOldCurrencyInfo=this.getAllCurrencyInfo();oOldCurrencyInfo.countryCode=oNewCurrencyInfo.countryCode||oOldCurrencyInfo.countryCode;oOldCurrencyInfo.currencyCode=oNewCurrencyInfo.currencyCode||oOldCurrencyInfo.currencyCode;var i,aTypes=["countries","currencies","currenciesBySymbol"];for(var j=0;j<3;j++){var sType=aTypes[j],oInfo=oNewCurrencyInfo[type];if(!oInfo){continue}for(i in oInfo){if(oInfo.hasOwnProperty(i)){oOldCurrencyInfo[sType][i]=oInfo[i]}}}var oNewStaticRates=oNewCurrencyInfo.staticRates,oOldStaticRates=oOldCurrencyInfo.staticRates;if(oStaticRates){for(i in oNewStaticRates){if(!oNewStaticRates.hasOwnProperty(i)){continue}if(!oOldStaticRates[i]){oOldStaticRates[i]=oNewStaticRates[i];continue}for(j in oNewStaticRates[i]){oOldStaticRates[i][j]=oNewStaticRates[i][j]}}}return this};this.convertAndFormat=function(oCurrency){var sCurrencyTo=oCurrency.to||_.currencyCode,sOriginalText=oCurrency.text||"";if(!sCurrencyTo){return sOriginalText}var sFormat=oCurrency.format||_.defaults.format;if(!sFormat){return""}var sCurrencyFrom;if(oCurrency.from){sCurrencyFrom=oCurrency.from.code||_.defaults.from||_.currenciesBySymbol[oCurrency.from.symbol]}else{sCurrencyFrom=_.defaults.from}if(!sCurrencyFrom){return sOriginalText}if(sCurrencyTo==sCurrencyFrom){return sOriginalText}var fAmount=oCurrency.amount,staticRatesRef=oCurrency.staticRatesRef!==false?oCurrency.staticRatesRef||_.defaults.staticRatesRef:null,fConvertedAmount;if(staticRatesRef){fConvertedAmount=this.convertCurrencyStatic(sCurrencyFrom,sCurrencyTo,fAmount,staticRatesRef)}else{fConvertedAmount=this.convertCurrency(sCurrencyFrom,sCurrencyTo,fAmount)}if(fConvertedAmount===false){return sOriginalText}var sCountry=_.countryCode?_.countryCode:oCurrency.to?_.currencies[oCurrency.to].format_pref:_.currencies[_.currencyCode].format_pref;if(!sCountry){return sOriginalText}var iDecPlaces=typeof oCurrency.dec_places!=="undefined"?oCurrency.dec_places:_.defaults.dec_places;return this.formatAmount(fConvertedAmount,sCountry,sCurrencyTo,sFormat,sOriginalText,iDecPlaces)};this.fetchCurrencyInfoAndReplaceNodes=function(oFetchInfoFor,aItemsToReplace){var defaults=_.defaults;if(defaults.from){if(!oFetchInfoFor.currencies){oFetchInfoFor.currencies=[defaults.from]}else if(oFetchInfoFor.currencies.indexOf(defaults.from)===-1){oFetchInfoFor.currencies.push(defaults.from)}}if(defaults.staticRatesRef){if(!oFetchInfoFor.staticRates){oFetchInfoFor.staticRates=[defaults.staticRatesRef]}else if(oFetchInfoFor.staticRates.indexOf(defaults.staticRatesRef)!==-1){oFetchInfoFor.staticRates.push(defaults.staticRatesRef)}}if((!oFetchInfoFor.currencies||!oFetchInfoFor.currencies.length)&&(!oFetchInfoFor.currenciesBySymbol||!oFetchInfoFor.currenciesBySymbol.length)){return}this.fetchCurrencyInfo(oFetchInfoFor,function(aItemsToReplace,that){return function(){that.convertDOMnodes_replace(aItemsToReplace)}}(aItemsToReplace,this))};this.convertCurrency=function(sFrom,sTo,fAmount){fAmount=fAmount||1;var oBase=_.getInfoForCurrency(sFrom),oQuote=_.getInfoForCurrency(sTo);if(!oBase||!oQuote){return false}if(!oBase.rate||!oQuote.rate){return false}return fAmount*(oBase.rate/oQuote.rate)};this.convertCurrencyStatic=function(sFrom,sTo,fAmount,sId){fAmount=fAmount||1;if(!_.staticRates){return false}var staticRates=_.staticRates[sId];if(!staticRates){return false}var fBaseRate=staticRates[sFrom],fQuoteRate=staticRates[sTo];if(!fBaseRate||!fQuoteRate){return false}return fAmount*(fBaseRate/fQuoteRate)};this.formatAmount=function(fAmount,sCountry,sCurrency,sFormat,sStr,iDecPlaces){sStr=sStr||"";var oCountry=_.getInfoForCountry(sCountry),oCurrency=_.getInfoForCurrency(sCurrency);if(!(typeof iDecPlaces==="number"||iDecPlaces instanceof Number)){iDecPlaces=oCurrency.dec_places}if(iDecPlaces<0){iDecPlaces=0}var sAmountFormatted=fAmount.toFixed(iDecPlaces);if(iDecPlaces){var iDecPointPos=sAmountFormatted.length-iDecPlaces;sAmountFormatted=sAmountFormatted.substr(0,iDecPointPos-1).replace(/(\d)(?=(\d{3})+$)/g,"$1"+oCountry.thousands_sep)+oCountry.dec_point+sAmountFormatted.substr(iDecPointPos)}else{sAmountFormatted=sAmountFormatted.replace(/(\d)(?=(\d{3})+$)/g,"$1"+oCountry.thousands_sep)}if(oCountry.symbol_pos){sFormat=sFormat.replace("%asy","%a%sy").replace("%ac","%a %c")}else{sFormat=sFormat.replace("%asy","%sy%a").replace("%ac","%c %a")}return sFormat.replace("%o",sStr).replace("%sy",oCurrency.symbol).replace("%n",oCurrency.name).replace("%fn",oCurrency.full_name).replace("%c",sCurrency).replace("%a",sAmountFormatted)};this.fetchedInfoValid=function(oFetchInfoFor,oFetchedInfo){if(!oFetchedInfo||!oFetchedInfo.currencies||!oFetchedInfo.countries){return false}var j=0,aTests=["countries","currencies","currenciesBySymbol","staticRates"];var i,l,fetch,fetched;for(;j<3;j++){if(!oFetchInfoFor[aTests[j]]){continue}i=0,l=oFetchInfoFor[aTests[j]].length,fetch=oFetchInfoFor[aTests[j]],fetched=oFetchedInfo[aTests[j]];for(;i<l;i++){if(!fetched[fetch[i]]){return null}}}fetch=oFetchInfoFor.countries;if(fetch){for(i=0,l=fetch.length;i<l;i++){if(!oFetchedInfo.currencies[oFetchedInfo.countries[fetch[i]].currency]){return false}}}fetch=oFetchInfoFor.currenciesBySymbol;if(fetch){for(i=0,l=fetch.length;i<l;i++){if(!oFetchedInfo.currencies[oFetchedInfo.currenciesBySymbol[fetch[i]]]){return false}}}if(oFetchedInfo.countryCode&&!oFetchedInfo.countries[oFetchedInfo.countryCode]||oFetchedInfo.currencyCode&&!oFetchedInfo.currencies[oFetchedInfo.currencyCode]){return false}if(oFetchInfoFor.countryCode&&oFetchInfoFor.countryCode!==oFetchedInfo.countryCode||oFetchInfoFor.currencyCode&&oFetchInfoFor.currencyCode!==oFetchedInfo.currencyCode){return null}return true};this.fetchCurrencyInfo=function(oFetchInfoFor,callback){_.fetchInfoFor=oFetchInfoFor;var i=0,that=this;function getDataCallback(oData){if(oData&&_.defaults.geo===false){if(typeof oFetchInfoFor.countryCode=="undefined"&&typeof oFetchInfoFor.currencyCode=="undefined"){if(oData.countryCode){oFetchInfoFor.countryCode=oData.countryCode}if(oData.currencyCode){oFetchInfoFor.currencyCode=oData.currencyCode}}}var dataValid=that.fetchedInfoValid(oFetchInfoFor,oData);if(dataValid){while(i>0){i--;_.dataStores[i].storeData(oData)}that.setCurrencyInfo(oData,callback)}else{i++;if(_.dataStores[i]){_.dataStores[i].getData(oFetchInfoFor,getDataCallback)}else if(dataValid===null){that.setCurrencyInfo(oData,callback)}}}_.dataStores[i].getData(oFetchInfoFor,getDataCallback)};this.convertDOMnodes_replace=function(aItemsToReplace){_.itemsToReplace=aItemsToReplace;var oCurrency,i=0;while(oCurrency=aItemsToReplace[i]){i++;this.convertDOMnode_replace(oCurrency)}};this.getFetchInfoFor=function(){return JSON.parse(JSON.stringify(_.fetchInfoFor))};this.getItemsToReplace=function(){return _.itemsToReplace}}CurrencyConverter.prototype={convertDOMnode_replace:function(oCurrency){oCurrency.text=oCurrency.text||oCurrency.node.nodeValue;oCurrency.node.nodeValue=this.convertAndFormat(oCurrency)},parseAmount:function(sStr){var aAmountStr;if(aAmountStr=sStr.match(/\d(?:[^\d]?\d)*/)){return this.strNumtoFloat(aAmountStr[0])}},strNumtoFloat:function(sStr){var aSeperators,aStrSplit,fReturnVal;if(aSeperators=sStr.match(/[^\d]/g)){var sFirstSeperator=aSeperators[0];if(aSeperators.length<2){if(sStr.length-(sStr.lastIndexOf(sFirstSeperator)+1)<3){aStrSplit=sStr.split(sFirstSeperator);return parseFloat(aStrSplit[1]?aStrSplit[0]+"."+aStrSplit[1]:aStrSplit[0])}else{return parseFloat(sStr.replace(sFirstSeperator,""))}}else{sStr=sStr.replace(new RegExp(sFirstSeperator.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&"),"g"),"");var sLastSeperator=aSeperators[aSeperators.length-1];if(sLastSeperator!=sFirstSeperator){aStrSplit=sStr.split(sLastSeperator);return parseFloat(aStrSplit[1]?aStrSplit[0]+"."+aStrSplit[1]:aStrSplit[0])}}}return parseFloat(sStr)},parseCurrency:function(sStr){var aCurrency;if((aCurrency=sStr.match(/[^a-zA-Z]([A-Z]{3,3})$/))||(aCurrency=sStr.match(/^([A-Z]{3,3})[^a-zA-Z]/))){return{code:aCurrency[1]}}else if((aCurrency=sStr.match(/^([^\s\d]{1,6})\d/))||(aCurrency=sStr.match(/\d\s?([^\s\d]{1,6})$/))){return{symbol:aCurrency[1]}}}};if(window){window.CurrencyConverter=CurrencyConverter}else if(module&&module.exports){module.exports.CurrencyConverter=CurrencyConverter}})();(function(){if(!CurrencyConverter){return}function CurrencyConverter_Wp(){CurrencyConverter.call(this);var fetchInfoFor;var itemsToReplace;this.convertDOMnodes=function(DOMnodeList){if(!DOMnodeList||!DOMnodeList.length){return}var o=this.parseDOMnodes(DOMnodeList);if(!o.itemsToReplace.length){return}this.fetchCurrencyInfoAndReplaceNodes(o.fetchInfoFor,o.itemsToReplace)}}CurrencyConverter_Wp.prototype=Object.create(CurrencyConverter.prototype);CurrencyConverter_Wp.prototype.constructor=CurrencyConverter_Wp;CurrencyConverter_Wp.prototype.parseDOMnodes=function(DOMnodeList){var l=DOMnodeList.length,i=0,oFetchInfoFor={countries:[],currenciesBySymbol:[],currencies:[],staticRates:[]},oCurrency,aItemsToReplace=[];for(;i<l;i++){if(!(oCurrency=this.parseDOMnode(DOMnodeList[i]))){continue}aItemsToReplace.push(oCurrency);if(oCurrency.from.code&&oFetchInfoFor.currencies.indexOf(oCurrency.from.code)===-1){oFetchInfoFor.currencies.push(oCurrency.from.code)}else if(oCurrency.from.symbol&&oFetchInfoFor.currenciesBySymbol.indexOf(oCurrency.from.symbol)===-1){oFetchInfoFor.currenciesBySymbol.push(oCurrency.from.symbol)}if(oCurrency.to&&oFetchInfoFor.currencies.indexOf(oCurrency.to)===-1){oFetchInfoFor.currencies.push(oCurrency.to)}if(oCurrency.staticRatesRef&&oFetchInfoFor.staticRates.indexOf(oCurrency.staticRatesRef)===-1){oFetchInfoFor.staticRates.push(oCurrency.staticRatesRef)}}return{fetchInfoFor:oFetchInfoFor,itemsToReplace:aItemsToReplace}};CurrencyConverter_Wp.prototype.fixIEwithWPemoji=function(node){if(node.childNodes.length<1){return false}if(node.childNodes.length<2){return true}node.normalize();if(node.childNodes.length<2){return true}var firstChild=node.childNodes[0];if(firstChild.nodeType!==document.TEXT_NODE){return false}var childNode,i=1;while((childNode=node.childNodes[i])&&childNode.nodeType===document.TEXT_NODE){firstChild.nodeValue+=childNode.nodeValue;node.removeChild(childNode);i++}return true};CurrencyConverter_Wp.prototype.parseDOMnode=function(dAmountToMaybeConvert){if(!this.fixIEwithWPemoji(dAmountToMaybeConvert)){return}var textNode=dAmountToMaybeConvert.childNodes[0],sAmountToMaybeConvert,fAmount,sCurrencyFrom,oCurrencyFrom,sCurrencyTo,sDecPlaces,sStaticRatesRef,sFormat,oCurrency={};if(!textNode||textNode.nodeType!=document.TEXT_NODE||!(sAmountToMaybeConvert=textNode.nodeValue)){return}if(fAmount=this.parseAmount(sAmountToMaybeConvert)){oCurrency.amount=fAmount}else{return}if(sCurrencyFrom=dAmountToMaybeConvert.getAttribute("data-from")){oCurrencyFrom={code:sCurrencyFrom}}else{oCurrencyFrom=this.parseCurrency(sAmountToMaybeConvert);if(!oCurrencyFrom){return}}oCurrency.from=oCurrencyFrom;if(sCurrencyTo=dAmountToMaybeConvert.getAttribute("data-to")){oCurrency.to=sCurrencyTo}sDecPlaces=dAmountToMaybeConvert.getAttribute("data-dec_places");if(parseInt(sDecPlaces).toString()===sDecPlaces){oCurrency.dec_places=parseInt(sDecPlaces)}sStaticRatesRef=dAmountToMaybeConvert.getAttribute("data-staticRatesRef");if(sStaticRatesRef&&parseInt(sStaticRatesRef)==sStaticRatesRef){oCurrency.staticRatesRef=parseInt(sStaticRatesRef)}if(sFormat=dAmountToMaybeConvert.getAttribute("data-format")){oCurrency.format=sFormat}oCurrency.node=textNode;return oCurrency};CurrencyConverter_Wp.prototype.cleanDOMnode=function(dNode){dNode.removeAttribute("class");dNode.removeAttribute("data-from");dNode.removeAttribute("data-to");dNode.removeAttribute("data-dec_places");dNode.removeAttribute("data-staticRatesRef");dNode.removeAttribute("data-format")};window.CurrencyConverter_Wp=CurrencyConverter_Wp})();(function(){if(typeof CurrencyConverter_Wp!="function"||!XMLHttpRequest){return}if(!xccj||!xccj.currencyInfoURL){return}var cc=xccj.cc=new CurrencyConverter_Wp;if(xccj.defaults){cc.setDefaults(xccj.defaults)}var aDataStores=[];if(localStorage){var oDataStore_localStorage=new DataStore_localStorage("xcc");if(xccj.cacheDuration){oDataStore_localStorage.setCacheDuration(parseInt(xccj.cacheDuration))}aDataStores.push(oDataStore_localStorage)}aDataStores.push(new DataStore_AJAX(xccj.currencyInfoURL));cc.setDataStores(aDataStores);cc.convertDOMnodes(document.querySelectorAll(".currencyConversion"))})();
